#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		shortname	%(echo %{name} | cut -d '-' -f1)
%define		docbook		%{_sysconfdir}/xml/%{name}
%define		catalog		%{_sysconfdir}/xml/catalog
#-----------------------------------------------------------------------------
Name		:	docbook-xml
Version		:	4.5
Release		:	17.2.0.rel%{?dist}
Summary		:	SGML and XML document type definitions for DocBook
Group		:	Applications/Text

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	Copyright only
URL		:	http://www.docbook.org/xml 

Source0		:	%{name}-%{version}.zip

#-----------------------------------------------------------------------------
Requires	:	libxml2

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
The DocBook XML DTD-%{version} package contains document type definitions
for verification of XML data files against the DocBook rule set.
These are useful for structuring books and software documentation
to a standard allowing you to utilize transformations already
written for that standard. 

%prep
%setup -q -c %{name}-%{version}

#---------------------------------------------------------
#building application
%build
#nothing to do

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

install -d -m755 %{buildroot}%{_datadir}/xml/%{shortname}/xml-dtd-%{version}
install -d -m755 %{buildroot}%{_sysconfdir}/xml

%{__cp} -af							\
	docbook.cat						\
	*.dtd							\
	ent/							\
	*.mod							\
	%{buildroot}%{_datadir}/xml/%{shortname}/xml-dtd-%{version}

%files			
%defattr(-,root,root,-)

%doc README
%dir %{_sysconfdir}/xml
%{_datadir}/xml/%{shortname}/xml-dtd-%{version}/*

%pre

#after upgrade or remove
%preun

%post
if [ "$1" = 1 ]; then
  if [ ! -f %{docbook} ] ; then
    %{_bindir}/xmlcatalog --noout --create %{docbook}
    fi
  if [ ! -f %{catalog} ] ; then
    %{_bindir}/xmlcatalog --noout --create %{catalog}
    fi
  fi

#Create (or update) and populate the /etc/xml/docbook catalog file 
%{_bindir}/xmlcatalog --noout -add "public"				\
  "-//OASIS//DTD DocBook XML V%{version}//EN"				\
  "http://www.oasis-open.org/docbook/xml/%{version}/docbookx.dtd"	\
  %{docbook}
%{_bindir}/xmlcatalog --noout -add "public"				\
  "-//OASIS//DTD DocBook XML CALS Table Model V%{version}//EN"		\
  "file://%{_datadir}/xml/docbook/xml-dtd-%{version}/calstblx.dtd"	\
  %{docbook}
%{_bindir}/xmlcatalog --noout -add "public"				\
  "-//OASIS//DTD XML Exchange Table Model 19990315//EN"			\
  "file://%{_datadir}/xml/docbook/xml-dtd-%{version}/soextblx.dtd"	\
  %{docbook}
%{_bindir}/xmlcatalog --noout -add "public"				\
  "-//OASIS//ELEMENTS DocBook XML Information Pool V%{version}//EN" 	\
  "file://%{_datadir}/xml/docbook/xml-dtd-%{version}/dbpoolx.mod"	\
  %{docbook}
%{_bindir}/xmlcatalog --noout -add "public"				\
   "-//OASIS//ELEMENTS DocBook XML Document Hierarchy V%{version}//EN"	\
  "file://%{_datadir}/xml/docbook/xml-dtd-%{version}/dbhierx.mod"	\
  %{docbook}
%{_bindir}/xmlcatalog --noout -add "public"				\
  "-//OASIS//ELEMENTS DocBook XML HTML Tables V%{version}//EN"		\
  "file://%{_datadir}/xml/docbook/xml-dtd-%{version}/htmltblx.mod"	\
  %{docbook}
%{_bindir}/xmlcatalog --noout -add "public"				\
  "-//OASIS//ENTITIES DocBook XML Notations V%{version}//EN"		\
  "file://%{_datadir}/xml/docbook/xml-dtd-%{version}/dbnotnx.mod"	\
  %{docbook}
%{_bindir}/xmlcatalog --noout -add "public"				\
  "-//OASIS//ENTITIES DocBook XML Character Entities V%{version}//EN"	\
  "file://%{_datadir}/xml/docbook/xml-dtd-%{version}/dbcentx.mod"	\
  %{docbook}
%{_bindir}/xmlcatalog --noout -add "public"				\
 "-//OASIS//ENTITIES DocBook XML Additional General Entities V%{version}//EN" \
 "file://%{_datadir}/xml/docbook/xml-dtd-%{version}/dbgenent.mod"	\
  %{docbook}
%{_bindir}/xmlcatalog --noout -add "rewriteSystem"			\
  "http://www.oasis-open.org/docbook/xml/%{version}"			\
  "file://%{_datadir}/xml/docbook/xml-dtd-%{version}"			\
  %{docbook}
%{_bindir}/xmlcatalog --noout -add "rewriteURI"				\
  "http://www.oasis-open.org/docbook/xml/%{version}"			\
  "file://%{_datadir}/xml/docbook/xml-dtd-%{version}"			\
  %{docbook}
	
#Create (or update) and populate the /etc/xml/catalog catalog
%{_bindir}/xmlcatalog --noout -add "delegatePublic"		\
  "-//OASIS//ENTITIES DocBook XML"				\
  "file://%{docbook}"						\
  %{catalog}
%{_bindir}/xmlcatalog --noout -add "delegatePublic"		\
  "-//OASIS//DTD DocBook XML"					\
  "file://%{docbook}"						\
  %{catalog}
%{_bindir}/xmlcatalog --noout -add "delegateSystem"		\
  "http://www.oasis-open.org/docbook/"				\
  "file://%{docbook}"						\
  %{catalog}
%{_bindir}/xmlcatalog --noout -add "delegateURI"		\
  "http://www.oasis-open.org/docbook/"				\
  "file://%{docbook}"						\
  %{catalog}

#The above installation creates the files and updates the catalogs.
#In order to utilize DocBook XML DTD V%{version} when any version 4.x is
#requested in the System Identifier, you need to add additional
#statements to the catalog file
for DTDV in 4.1.2 4.2 4.3 4.4
  do
  %{_bindir}/xmlcatalog --noout --add "public"			\
    "-//OASIS//DTD DocBook XML V$DTDV//EN"			\
    "http://www.oasis-open.org/docbook/xml/$DTDV/docbookx.dtd"	\
    %{docbook}
  %{_bindir}/xmlcatalog --noout --add "rewriteSystem" 		\
    "http://www.oasis-open.org/docbook/xml/$DTDV"		\
    "file://%{_datadir}/xml/docbook/xml-dtd-%{version}"		\
    %{docbook}
  %{_bindir}/xmlcatalog --noout --add "rewriteURI" 		\
    "http://www.oasis-open.org/docbook/xml/$DTDV"		\
    "file://%{_datadir}/xml/docbook/xml-dtd-%{version}" 		\
    %{docbook}
  %{_bindir}/xmlcatalog --noout --add "delegateSystem" 		\
    "http://www.oasis-open.org/docbook/xml/$DTDV/"		\
    "file://%{docbook}"					\
    %{catalog}
  %{_bindir}/xmlcatalog --noout --add "delegateURI" 		\
    "http://www.oasis-open.org/docbook/xml/$DTDV/"		\
    "file://%{docbook}"					\
    %{catalog}
  done

%postun
# remove entries only on removal of package

if [ "$1" = 0 ]; then
  %{_bindir}/xmlcatalog --noout --del				\
    "file://%{docbook}"						\
    %{catalog}
  %{__rm} -fr %{docbook}
  fi

%changelog
